{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}
unit MainForm;

interface

uses
  System.Drawing, System.Collections, System.ComponentModel,
  System.Windows.Forms, System.Data, System.Data.OleDb, System.Globalization,
  System.Data.Common, Borland.Vcl.Sysutils;

type
  TWinForm2 = class(System.Windows.Forms.Form)
  {$REGION 'Code manag du concepteur'}
  strict private
    /// <summary>
    /// Variable concepteur obligatoire.
    /// </summary>
    components: System.ComponentModel.IContainer;
    OleDbConnection1: System.Data.OleDb.OleDbConnection;
    DataGrid1: System.Windows.Forms.DataGrid;
    Button1: System.Windows.Forms.Button;
    oleDbSelectCommand1: System.Data.OleDb.OleDbCommand;
    OleDbDataAdapter1: System.Data.OleDb.OleDbDataAdapter;
    Button2: System.Windows.Forms.Button;
    DataSet1: System.Data.DataSet;
    Button3: System.Windows.Forms.Button;
    Button4: System.Windows.Forms.Button;
    Button5: System.Windows.Forms.Button;
    StatusBar1: System.Windows.Forms.StatusBar;
    /// <summary>
    /// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
    /// le contenu de cette mthode avec l'diteur de code.
    /// </summary>
    procedure InitializeComponent;
    procedure Button1_Click(sender: System.Object; e: System.EventArgs);
    procedure Button2_Click(sender: System.Object; e: System.EventArgs);
    procedure Button3_Click(sender: System.Object; e: System.EventArgs);
    procedure Button4_Click(sender: System.Object; e: System.EventArgs);
    procedure Button5_Click(sender: System.Object; e: System.EventArgs);
  {$ENDREGION}
  strict protected
    /// <summary>
    /// Nettoyage des ressources utilises.
    /// </summary>
    procedure Dispose(Disposing: Boolean); override;
  private
    { Dclarations prives }
  public
    constructor Create;
  end;

  [assembly: RuntimeRequiredAttribute(TypeOf(TWinForm2))]

implementation

{$AUTOBOX ON}

const
 kXML = 'LIVREDNET'; // Nom des fichiers XML

{$REGION 'Code gnr par le concepteur de Windows Form'}
/// <summary>
/// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
/// le contenu de cette mthode avec l'diteur de code.
/// </summary>
procedure TWinForm2.InitializeComponent;
type
  TArrayOfSystem_Data_Common_DataTableMapping = array of System.Data.Common.DataTableMapping;
  TArrayOfSystem_Data_Common_DataColumnMapping = array of System.Data.Common.DataColumnMapping;
begin
  Self.OleDbConnection1 := System.Data.OleDb.OleDbConnection.Create;
  Self.DataGrid1 := System.Windows.Forms.DataGrid.Create;
  Self.DataSet1 := System.Data.DataSet.Create;
  Self.Button1 := System.Windows.Forms.Button.Create;
  Self.Button2 := System.Windows.Forms.Button.Create;
  Self.oleDbSelectCommand1 := System.Data.OleDb.OleDbCommand.Create;
  Self.OleDbDataAdapter1 := System.Data.OleDb.OleDbDataAdapter.Create;
  Self.Button3 := System.Windows.Forms.Button.Create;
  Self.Button4 := System.Windows.Forms.Button.Create;
  Self.Button5 := System.Windows.Forms.Button.Create;
  Self.StatusBar1 := System.Windows.Forms.StatusBar.Create;
  (System.ComponentModel.ISupportInitialize(Self.DataGrid1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataSet1)).BeginInit;
  Self.SuspendLayout;
  // 
  // OleDbConnection1
  // 
  Self.OleDbConnection1.ConnectionString := 'Provider="Microsoft.Jet.OLEDB.4' +
  '.0";Data Source="..\data\dbdemos.mdb";Persist Security Info=False';
  // 
  // DataGrid1
  // 
  Self.DataGrid1.AlternatingBackColor := System.Drawing.Color.Gainsboro;
  Self.DataGrid1.Anchor := (System.Windows.Forms.AnchorStyles(((System.Windows.Forms.AnchorStyles.Top 
    or System.Windows.Forms.AnchorStyles.Left) or System.Windows.Forms.AnchorStyles.Right)));
  Self.DataGrid1.BackColor := System.Drawing.Color.Silver;
  Self.DataGrid1.BackgroundColor := System.Drawing.Color.LightGray;
  Self.DataGrid1.BorderStyle := System.Windows.Forms.BorderStyle.FixedSingle;
  Self.DataGrid1.CaptionBackColor := System.Drawing.Color.DarkSlateBlue;
  Self.DataGrid1.CaptionFont := System.Drawing.Font.Create('Microsoft Sans S' +
    'erif', 8);
  Self.DataGrid1.CaptionForeColor := System.Drawing.Color.White;
  Self.DataGrid1.CaptionText := 'Liste des clients - connexion OleDb sur bas' +
  'e Access';
  Self.DataGrid1.DataMember := '';
  Self.DataGrid1.DataSource := Self.DataSet1;
  Self.DataGrid1.FlatMode := True;
  Self.DataGrid1.ForeColor := System.Drawing.Color.Black;
  Self.DataGrid1.GridLineColor := System.Drawing.Color.White;
  Self.DataGrid1.HeaderBackColor := System.Drawing.Color.DarkGray;
  Self.DataGrid1.HeaderForeColor := System.Drawing.Color.Black;
  Self.DataGrid1.LinkColor := System.Drawing.Color.DarkSlateBlue;
  Self.DataGrid1.Location := System.Drawing.Point.Create(0, 0);
  Self.DataGrid1.Name := 'DataGrid1';
  Self.DataGrid1.ParentRowsBackColor := System.Drawing.Color.Black;
  Self.DataGrid1.ParentRowsForeColor := System.Drawing.Color.White;
  Self.DataGrid1.ParentRowsVisible := False;
  Self.DataGrid1.SelectionBackColor := System.Drawing.Color.DarkSlateBlue;
  Self.DataGrid1.SelectionForeColor := System.Drawing.Color.White;
  Self.DataGrid1.Size := System.Drawing.Size.Create(571, 191);
  Self.DataGrid1.TabIndex := 0;
  // 
  // DataSet1
  // 
  Self.DataSet1.DataSetName := 'Clients';
  Self.DataSet1.Locale := System.Globalization.CultureInfo.Create('fr-FR');
  // 
  // Button1
  // 
  Self.Button1.Location := System.Drawing.Point.Create(109, 202);
  Self.Button1.Name := 'Button1';
  Self.Button1.Size := System.Drawing.Size.Create(95, 23);
  Self.Button1.TabIndex := 1;
  Self.Button1.Text := 'Lire<-Bdd';
  Include(Self.Button1.Click, Self.Button1_Click);
  // 
  // Button2
  // 
  Self.Button2.Location := System.Drawing.Point.Create(6, 202);
  Self.Button2.Name := 'Button2';
  Self.Button2.Size := System.Drawing.Size.Create(95, 23);
  Self.Button2.TabIndex := 2;
  Self.Button2.Text := 'MAJ->Bdd';
  Include(Self.Button2.Click, Self.Button2_Click);
  // 
  // oleDbSelectCommand1
  // 
  Self.oleDbSelectCommand1.CommandText := 'SELECT customer.CustNo, customer.' +
  'Company, customer.Addr1, customer.Addr2, customer.City, customer.State, c' +
  'ustomer.Zip, customer.Country, customer.Phone, customer.FAX, customer.Tax' +
  'Rate, customer.Contact, customer.LastInvoiceDate from customer ';
  Self.oleDbSelectCommand1.Connection := Self.OleDbConnection1;
  // 
  // OleDbDataAdapter1
  // 
  Self.OleDbDataAdapter1.MissingSchemaAction := System.Data.MissingSchemaAction.AddWithKey;
  Self.OleDbDataAdapter1.SelectCommand := Self.oleDbSelectCommand1;
  Self.OleDbDataAdapter1.TableMappings.AddRange(TArrayOfSystem_Data_Common_DataTableMapping.Create(System.Data.Common.DataTableMapping.Create('T' +
          'able', 'Clients', TArrayOfSystem_Data_Common_DataColumnMapping.Create(System.Data.Common.DataColumnMapping.Create('C' +
                'ustNo', 'CustNo'), System.Data.Common.DataColumnMapping.Create('C' +
                'ompany', 'Company'), System.Data.Common.DataColumnMapping.Create('A' +
                'ddr1', 'Addr1'), System.Data.Common.DataColumnMapping.Create('A' +
                'ddr2', 'Addr2'), System.Data.Common.DataColumnMapping.Create('C' +
                'ity', 'City'), System.Data.Common.DataColumnMapping.Create('S' +
                'tate', 'State'), System.Data.Common.DataColumnMapping.Create('Z' +
                'ip', 'Zip'), System.Data.Common.DataColumnMapping.Create('C' +
                'ountry', 'Country'), System.Data.Common.DataColumnMapping.Create('P' +
                'hone', 'Phone'), System.Data.Common.DataColumnMapping.Create('F' +
                'AX', 'FAX'), System.Data.Common.DataColumnMapping.Create('T' +
                'axRate', 'TaxRate'), System.Data.Common.DataColumnMapping.Create('C' +
                'ontact', 'Contact'), System.Data.Common.DataColumnMapping.Create('L' +
                'astInvoiceDate', 'LastInvoiceDate')))));
  // 
  // Button3
  // 
  Self.Button3.Location := System.Drawing.Point.Create(368, 202);
  Self.Button3.Name := 'Button3';
  Self.Button3.Size := System.Drawing.Size.Create(95, 23);
  Self.Button3.TabIndex := 3;
  Self.Button3.Text := '->  XML';
  Include(Self.Button3.Click, Self.Button3_Click);
  // 
  // Button4
  // 
  Self.Button4.Location := System.Drawing.Point.Create(472, 202);
  Self.Button4.Name := 'Button4';
  Self.Button4.Size := System.Drawing.Size.Create(95, 23);
  Self.Button4.TabIndex := 4;
  Self.Button4.Text := '<-  XML';
  Include(Self.Button4.Click, Self.Button4_Click);
  // 
  // Button5
  // 
  Self.Button5.Location := System.Drawing.Point.Create(212, 202);
  Self.Button5.Name := 'Button5';
  Self.Button5.Size := System.Drawing.Size.Create(95, 23);
  Self.Button5.TabIndex := 5;
  Self.Button5.Text := 'Vider';
  Include(Self.Button5.Click, Self.Button5_Click);
  // 
  // StatusBar1
  // 
  Self.StatusBar1.Location := System.Drawing.Point.Create(0, 233);
  Self.StatusBar1.Name := 'StatusBar1';
  Self.StatusBar1.Size := System.Drawing.Size.Create(572, 22);
  Self.StatusBar1.TabIndex := 9;
  // 
  // TWinForm2
  // 
  Self.AutoScaleBaseSize := System.Drawing.Size.Create(5, 13);
  Self.ClientSize := System.Drawing.Size.Create(572, 255);
  Self.Controls.Add(Self.StatusBar1);
  Self.Controls.Add(Self.Button5);
  Self.Controls.Add(Self.Button4);
  Self.Controls.Add(Self.Button3);
  Self.Controls.Add(Self.Button2);
  Self.Controls.Add(Self.Button1);
  Self.Controls.Add(Self.DataGrid1);
  Self.Name := 'TWinForm2';
  Self.Text := 'Livre Delphi.NET  - Data Binding ';
  (System.ComponentModel.ISupportInitialize(Self.DataGrid1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataSet1)).EndInit;
  Self.ResumeLayout(False);
end;
{$ENDREGION}

procedure TWinForm2.Dispose(Disposing: Boolean);
begin
  if Disposing then
  begin
    if Components <> nil then
      Components.Dispose();
  end;
  inherited Dispose(Disposing);
end;

constructor TWinForm2.Create;
begin
  inherited Create;
  //
  // Obligatoire pour la gestion du concepteur de Windows Form
  //
  InitializeComponent;
  //
  // TODO: Ajouter du code au constructeur aprs l'appel de InitializeComponent
  //

end;




procedure TWinForm2.Button5_Click(sender: System.Object; e: System.EventArgs);
begin
  Dataset1.Clear;
end;

procedure TWinForm2.Button4_Click(sender: System.Object; e: System.EventArgs);
begin
  DataSet1.ReadXmlSchema(ExtractFilePath(Application.ExecutablePath)+'\'+kXML+'.XSD');
  DataSet1.ReadXml(ExtractFilePath(Application.ExecutablePath)+'\'+kXML+'.XML');
  DataGrid1.NavigateTo(0,'Clients');
end;

procedure TWinForm2.Button3_Click(sender: System.Object; e: System.EventArgs);
begin
  DataSet1.WriteXml(ExtractFilePath(Application.ExecutablePath)+'\'+kXML+'.XML');
  DataSet1.WriteXmlSchema(ExtractFilePath(Application.ExecutablePath)+'\'+kXML+'.XSD');
end;

procedure TWinForm2.Button2_Click(sender: System.Object; e: System.EventArgs);
var cb : oleDbCommandBuilder;
begin
    cb := OleDbCommandBuilder.Create(OleDbDataAdapter1);
    OleDbDataAdapter1.Update(Dataset1);
end;

procedure TWinForm2.Button1_Click(sender: System.Object; e: System.EventArgs);
begin
   OleDbDataAdapter1.Fill(Dataset1,'Clients');
   Datagrid1.DataMember:='Clients';
end;


end.
